export class CSSStyleSheetStrategy {
    execute(element, styles, sharedStyles = '') {
        const sharedStyleSheet = new CSSStyleSheet();
        sharedStyleSheet.replace(sharedStyles);
        const styleSheet = new CSSStyleSheet();
        styleSheet.replace(styles);
        const elementRoot = element.root;
        elementRoot.adoptedStyleSheets = [
            sharedStyleSheet,
            ...elementRoot.adoptedStyleSheets,
            styleSheet
        ];
    }
}
//# sourceMappingURL=css-style-sheet-strategy.js.map